# CRUD: Create a usage record Creates a usage record. Endpoint: POST /v1/object/usage Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `X-Zuora-WSDL-Version` (string) Zuora WSDL version number. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `rejectUnknownFields` (boolean) Specifies whether the call fails if the request body contains unknown fields. With rejectUnknownFields set to true, Zuora returns a 400 response if the request body contains unknown fields. The body of the 400 response is: json { "message": "Error - unrecognised fields" } By default, Zuora ignores unknown fields in the request body. ## Request fields (application/json): - `AccountId` (string) The ID of the account associated with the usage data. This field is only required if no value is specified for the AccountNumber field. Character limit: 32 Values: a valid account ID. Example: "8ad09378905a5af201907ca1edb524c2" - `AccountNumber` (string) The number of the account associated with the usage data. This field is only required if no value is specified for the AccountId field. Character limit: 50 Values: a valid account number. - `ChargeId` (string) The OrginalId of the rate plan charge related to the usage record, e.g., 2c9081a03c63c94c013c6873357a0117 Character limit: 32 Values: a valid rate plan charge OriginalID. - `ChargeNumber` (string) A unique number for the rate plan charge related to the usage record. For example, C-00000007. - `Description` (string) A description of the usage record. - `EndDateTime` (string) The end date and time of a range of time when usage is tracked. Use this field for reporting; this field doesn't affect usage calculation. Character limit: 29 Values: a valid date and time value. - `ProductRatePlanChargeNumber` (string) Specify a product rate plan charge number so that you can charge your customer with a dynamic usage charge for the corresponding uploaded usage record. To use this field, you must set the X-Zuora-WSDL-Version request header to 146 or higher. Otherwise, an error occurs. Note: This field is only available if you have the Dynamic Usage Charges feature enabled. - `Quantity` (number, required) Indicates the number of units used. Character limit: 16 Values: A valid decimal amount. Example: 200 - `StartDateTime` (string, required) The start date and time of a range of time when usage is tracked. Zuora uses this field value to determine the usage date. Unlike the EndDateTime, the StartDateTime field does affect usage calculation. Character limit: 29 Values: a valid date and time value Example: "2024-06-01T02:00:00.000+01:00" - `SubscriptionId` (string) The original ID of the subscription that contains the fees related to the usage data. The ID of a subscription might change when you create amendments to the subscription. It is good practice to use the unique subscription number that you can specify in the SubscriptionNumber field. - `SubscriptionNumber` (string) The unique identifier number of the subscription that contains the fees related to the usage data. It is good practice to use this field when creating usage records. - `UOM` (string, required) Specifies the units to measure usage. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. Character limit: Values: a valid unit of measure Example: "Minutes" - `UniqueKey` (string) The unique external reference of the usage record. See [Upload usage record with unique key](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Bill_for_usage_or_prepaid_products/Advanced_Consumption_Billing/Unbilled_Usage#Upload_usage_record_with_unique_key) for information on how to use this field. Note: This field is only available if you set the X-Zuora-WSDL-Version request header to 114 or later. This field is only available if you have the Prepaid with Drawdown feature or the Unbilled Usage feature enabled. See [Upload usage record with unique key](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Prepaid_balance_transactions#Upload_usage_record_with_unique_key) for more information. ## Response 200 fields (application/json): - `Id` (string) - `Success` (boolean) ## Response 400 fields (application/json): - `errors` (array) - `errors.code` (string) Machine-readable error code identifying the failure type. - `errors.message` (string) Human-readable description of the error that provides more context about what went wrong. - `success` (boolean) ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request.